itpp::Multicode_Spread_1d Class Reference
Communications Module » Digital Modulation

Multicode spreading of float symbols. More...

`#include <itpp/comm/spread.h>`

## Public Member Functions

| Multicode_Spread_1d ()
| Constructor.
| Multicode_Spread_1d (const mat &incodes)
| Constructor.
vec | spread (const vec &symbols)
| Spreading function.
vec | despread (const vec &receivedsignal, int timing)
| Despreading of signal. timing is the start position of the first symbol, given in number of samples.
void | set_codes (const mat &incodes)
| Set the spreading codes. Each row represent one spreading code. The spreading factor equals the number of columns.
mat | get_codes ()
| Returns the matrix containing the spreading codes used as rows in the matrix.
int | get_period ()
| Returns the spreading factor.
int | get_nocodes ()
| Returns the number of multi-codes used.

## Protected Attributes

mat | codes
| The spreading codes used size ( )
int | L
| The number of multi-codes.
int | N
| The spreading factor.

## Detailed Description

Multicode spreading of float symbols.

Obeserve that the spreading is normalized so that the energy per bit is preserved before and after spreading (that is each symbol is multiplied with `1/sqrt`(N)). Hence, for the multicode case the energy is normalized for one symbol (code) but the transmitted signal consist of a sum of several signals.

Example: See Spread_1d

Definition at line 199 of file spread.h.

The documentation for this class was generated from the following files:

- itpp/comm/spread.h
- itpp/comm/spread.cpp

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13